%Apply the 2D heat equation for T iterations
%Author: Jeff Calder, 2016

function u = HeatEquation2D(u,T)
%Isotropic heat equation

    for i=1:T
       i;
       GE = u([2:end,end-1],:,:) - u;
       GW = u([2,1:end-1],:,:) - u;
       GS = u(:,[2:end,end-1],:) - u;
       GN = u(:,[2,1:end-1],:) - u;
       
       u = u + 0.25*(GN + GE + GS + GW);
    end


end

